get
https://partner.gupshup.io/partner/bizgate/app//template-analytics/templates//ads
Returns the click-to-WhatsApp ad campaigns linked to a specific template, including ad ids, spend, and status where available.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
| templateId | Identifier of the message template. | tpl-1002 | String | Required |
Sample cURL — Get template ad details.
curl --request GET \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/template-analytics/templates/tpl-1002/ads' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json'Sample success response (200)
{
"status": "success",
"data": {
"template_ad_details": {
"ad_account_id": "3242596802542159",
"ad_adset_id": "120215865443300592",
"ad_campaign_id": "120215865319530592",
"ad_id": "120215865446460592",
"category": "MARKETING",
"id": "939035207269681"
}
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…